Commit 022aa193 authored by Pierre Dittgen's avatar Pierre Dittgen

Unlock tableschema version. Freeze requirements

parent 5a435799
#
# This file is autogenerated by pip-compile
# To update, run:
#
# pip-compile
#
attrs==19.3.0 # via jsonschema
boto3==1.12.35 # via tabulator
botocore==1.15.35 # via boto3, s3transfer
certifi==2019.11.28 # via requests
chardet==3.0.4 # via datapackage, requests, tabulator
click-default-group==1.2.2 # via goodtables
click==7.1.1 # via click-default-group, datapackage, goodtables, tableschema, tabulator
datapackage==1.13.0 # via goodtables
docutils==0.15.2 # via botocore, statistics
et-xmlfile==1.0.1 # via openpyxl
ezodf==0.3.2 # via validata_core (setup.py)
goodtables==2.4.12 # via validata_core (setup.py)
idna==2.9 # via requests
ijson==3.0 # via tabulator
importlib-metadata==1.6.0 # via importlib-resources, jsonschema
importlib-resources==1.4.0 # via validata_core (setup.py)
isodate==0.6.0 # via tableschema
jdcal==1.4.1 # via openpyxl
jmespath==0.9.5 # via boto3, botocore
jsonlines==1.2.0 # via tabulator
jsonpointer==2.0 # via datapackage
jsonschema==3.2.0 # via datapackage, tableschema
linear-tsv==1.1.0 # via tabulator
lxml==4.5.0 # via validata_core (setup.py)
numpy==1.18.2 # via pandas
openpyxl==3.0.3 # via tabulator
pandas==1.0.3 # via tablib
pyrsistent==0.16.0 # via jsonschema
python-dateutil==2.8.1 # via botocore, pandas, tableschema
python-stdnum==1.13 # via validata_core (setup.py)
pytz==2019.3 # via pandas
requests==2.23.0 # via datapackage, goodtables, tableschema, tabulator, validata_core (setup.py)
rfc3986==1.3.2 # via tableschema
s3transfer==0.3.3 # via boto3
simpleeval==0.9.10 # via goodtables
six==1.14.0 # via datapackage, goodtables, isodate, jsonlines, jsonschema, linear-tsv, pyrsistent, python-dateutil, tableschema, tabulator
sqlalchemy==1.3.15 # via tabulator
statistics==1.0.3.5 # via goodtables
tableschema==1.15.3 # via datapackage, goodtables, validata_core (setup.py)
tablib[pandas]==1.1.0 # via validata_core (setup.py)
tabulator==1.38.1 # via datapackage, goodtables, tableschema, validata_core (setup.py)
toolz==0.10.0 # via validata_core (setup.py)
unicodecsv==0.14.1 # via datapackage, tableschema, tabulator
urllib3==1.25.8 # via botocore, requests
xlrd==1.2.0 # via tabulator
zipp==3.1.0 # via importlib-metadata, importlib-resources
# The following packages are considered to be unsafe in a requirements file:
# setuptools
......@@ -55,13 +55,11 @@ setup(
zip_safe=True,
install_requires=[
'ezodf',
# Don't go further 1.12.4 with tableschema
# while SCDL schemas are not completely valid
'tableschema == 1.12.4',
'goodtables',
'importlib_resources',
'lxml',
'requests',
'tableschema',
'tablib[pandas]',
'tabulator',
'toolz',
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment